Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IParameterDefnBase

All Known Subinterfaces:
  ICascadingParameterGroup, IParameterDefn, IParameterGroupDefn, IScalarParameterDefn

    public interface IParameterDefnBase

Captures properties shared by all types of parameters and parameter group, i.e., name, display name, help text and custom-defined properties. Note that even though display name and help text are locale-sensitive, the API does not take a locale. The parameter returned to the user was obtained from a report runnable, which has already had a locale.

Field Summary
`static int` | `CASCADING_PARAMETER_GROUP`
`static int` | `FILTER_PARAMETER`
`static int` | `LIST_PARAMETER`
`static int` | `PARAMETER_GROUP`
`static int` | `SCALAR_PARAMETER`
`static int` | `TABLE_PARAMETER`

Method Summary
`java.lang.String` | `getDisplayName()` returns the locale-specific display name for the parameter.
`org.eclipse.birt.report.model.api.ReportElementHandle` | `getHandle()` returns the report element handle which is wrapped by this object.
`java.lang.String` | `getHelpText()` returns the locale-specific help text.
`java.lang.String` | `getName()` returns the name of the parameter
`int` | `getParameterType()`
`java.lang.String` | `getPromptText()`
`java.lang.String` | `getTypeName()`
`java.lang.String` | `getUserPropertyValue(java.lang.String name)` returns the value of a user-defined property
`java.util.Map` | `getUserPropertyValues()` returns a collection of user-defined property name and value pairs

Field Detail

### SCALAR_PARAMETER

    static final int SCALAR_PARAMETER

See Also:
  Constant Field Values

### FILTER_PARAMETER

    static final int FILTER_PARAMETER

See Also:
  Constant Field Values

### LIST_PARAMETER

    static final int LIST_PARAMETER

See Also:
  Constant Field Values

### TABLE_PARAMETER

    static final int TABLE_PARAMETER

See Also:
  Constant Field Values

### PARAMETER_GROUP

    static final int PARAMETER_GROUP

See Also:
  Constant Field Values

### CASCADING_PARAMETER_GROUP

    static final int CASCADING_PARAMETER_GROUP

See Also:
  Constant Field Values

Method Detail

### getParameterType

    int getParameterType()

  Returns:
    the parameter type, i.e., scalar, filter, list, table or parameter group

### getTypeName

    java.lang.String getTypeName()

  Returns:
    name of the parameter type.

### getName

    java.lang.String getName()

  returns the name of the parameter

  Returns:
    the name of the parameter

### getDisplayName

    java.lang.String getDisplayName()

  returns the locale-specific display name for the parameter. The locale used is the locale in the getParameterDefinition task

  Returns:
    display name under the request or default locale

### getHelpText

    java.lang.String getHelpText()

  returns the locale-specific help text. The locale used is the locale in the getParameterDefinition task

  Returns:
    help text for the parameter

### getUserPropertyValues

    java.util.Map getUserPropertyValues()

  returns a collection of user-defined property name and value pairs

  Returns:
    a collection of user-defined property name ane value pairs

### getUserPropertyValue

    java.lang.String getUserPropertyValue(java.lang.String name)

  returns the value of a user-defined property

  Returns:
    the value for a user-defined property

### getHandle

    org.eclipse.birt.report.model.api.ReportElementHandle getHandle()

  returns the report element handle which is wrapped by this object.

  Returns:
    the report element handle

### getPromptText

    java.lang.String getPromptText()

  Returns:
    prompt text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.